Subject: Re: using cygnus-gnu-win32 for commercial projects.
From: [email-masked]

23 Jan 1997 19:21:08 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

:  Is there any chance of excepting the libraries and putting them
: under the LGPL ? There is quite a bit of interesting free software
: out there that is distributed under a more general license than
: the GPL (eg. Berkeley copyright,
[...]

Exactly what I wanted to say!
So far I happily worked under GPL, LGPL and Berkeley style.
Cygnus are GNU people and should know the pros and cons 8-)

I'd like to deliver an executable together with cygwin.dll binary only,
either the original DLL or a self compiled version, maybe with bug fixes
or things missed now. I'll freely contribute the sources of any bug fixes
or additions to the DLL, but nothing else. Is that feasible and fair enough?
I'm not a lawyer, so I'm not completely sure that the LGPL allows this!

See: http://www.fsf.org/copyleft/lgpl.html

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".